﻿using SimplePermission.Services;

namespace SimplePermission
{
    public class SimpleRoleProvider : RoleProviderBase
    {
        public override string[] GetRolesForUser(string username)
        {
            var accountService = Factory.GetAccountService();
            return accountService.GetRolesForUser(username);
        }

        public override bool IsUserInRole(string username, string roleName)
        {
            var accountService = Factory.GetAccountService();
            return accountService.IsUserInRole(username, roleName);
        }
    }
}